Subject: Re: bug#57556: 28.1; Eshell not finding executables in PATH when tramp-integration loaded

From: Jim Porter <[email-masked]>
Date: Sun, 18 Sep 2022 11:54:15 -0700

On 9/18/2022 4:18 AM, Michael Albinus wrote:
> I've fixed this in the emacs-28 branch of the git repository, will be
> merged to the master branch next days. Do yo have a chance to test? As
> reference, I've appended the patch.

For what it's worth, I've started on a more-elaborate patch for this 
that would move all this into Eshell and allow manipulating Eshell's 
PATH variable on remote hosts too. (Eshell's codebase already has some 
special handling for Tramp, so I think it would be reasonable for Eshell 
to handle Tramp integration here, rather than the other way around.)

My patch needs a couple preliminary fixes though so it'll probably take 
a few days at least until I have something ready for people to look at.